Package org.jbpm.services.task.commands

## Class GetTasksByStatusByProcessInstanceIdCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.api.task.model.TaskSummary>>
  - - org.jbpm.services.task.commands.GetTasksByStatusByProcessInstanceIdCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>`, `org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`, `org.kie.internal.command.ProcessInstanceIdCommand`

      public class GetTasksByStatusByProcessInstanceIdCommand
      extends TaskCommand<List<org.kie.api.task.model.TaskSummary>>
      implements org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetTasksByStatusByProcessInstanceIdCommand()` |
    `GetTasksByStatusByProcessInstanceIdCommand​(long processInstanceId, List<org.kie.api.task.model.Status> status)` |
    `GetTasksByStatusByProcessInstanceIdCommand​(long processInstanceId, List<org.kie.api.task.model.Status> status, String taskName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `Long` | `getProcessInstanceId()` |
    `List<org.kie.api.task.model.Status>` | `getStatus()` |
    `void` | `setProcessInstanceId​(Long processInstanceId)` |
    `void` | `setStatus​(List<org.kie.api.task.model.Status> status)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTasksByStatusByProcessInstanceIdCommand

          public GetTasksByStatusByProcessInstanceIdCommand()

    - #### GetTasksByStatusByProcessInstanceIdCommand

          public GetTasksByStatusByProcessInstanceIdCommand​(long processInstanceId,
                                                            List<org.kie.api.task.model.Status> status)

    - #### GetTasksByStatusByProcessInstanceIdCommand

          public GetTasksByStatusByProcessInstanceIdCommand​(long processInstanceId,
                                                            List<org.kie.api.task.model.Status> status,
                                                            String taskName)

  - ### Method Detail

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getStatus

          public List<org.kie.api.task.model.Status> getStatus()

    - #### setStatus

          public void setStatus​(List<org.kie.api.task.model.Status> status)

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute​(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`